%global momorel 3

Summary: The core libraries for the GNOME GUI desktop environment for C#.
Name: gnome-desktop-sharp

Version: 2.20.1
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://mono-project.com/GtkSharp/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.20/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: gtk2-devel >= 2.12.8
BuildPrereq: mono-devel >= 1.2.6
BuildPrereq: gtk-sharp2-devel >= 2.12.0
BuildPrereq: gnome-sharp-devel >= 2.20.0
BuildPrereq: nautilus-cd-burner-devel >= 2.20.0
BuildPrereq: librsvg2-devel >= 2.22.2-3m
BuildPrereq: gtkhtml3-devel >= 3.16.3
BuildPrereq: gtksourceview2-devel >= 2.0.2
BuildPrereq: vte-devel >= 0.16.12
BuildPrereq: libwnck-devel >= 2.20.3

Obsoletes: gtksourceview-sharp-2.0 <= %{version}

%description
GnomeDesktop# is a .NET language binding for assorted GNOME libraries
from the desktop release.  GnomeDesktop# is free software, licensed
under the GNU LGPL.

%package devel
Summary: The desktop libraries and include files for GNOME development for C#.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: startup-notification-devel

Obsoletes: gtksourceview-sharp-2.0-devel <= %{version}

%description devel
gnome-desktop-sharp-devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_libdir}/libvtesharpglue-2.so

%{_prefix}/lib/mono/gac/gnomedesktop-sharp
%{_prefix}/lib/mono/gac/gtkhtml-sharp
%{_prefix}/lib/mono/gac/gtksourceview2-sharp
%{_prefix}/lib/mono/gac/nautilusburn-sharp
%{_prefix}/lib/mono/gac/rsvg2-sharp
%{_prefix}/lib/mono/gac/vte-sharp
%{_prefix}/lib/mono/gac/wnck-sharp

%{_prefix}/lib/mono/gnomedesktop-sharp-2.20
%{_prefix}/lib/mono/gtkhtml-sharp-3.14
%{_prefix}/lib/mono/gtksourceview2-sharp-2.0
%{_prefix}/lib/mono/nautilusburn-sharp-2.20
%{_prefix}/lib/mono/rsvg2-sharp-2.0
%{_prefix}/lib/mono/vte-sharp-0.16
%{_prefix}/lib/mono/wnck-sharp-2.20

%files devel
%defattr(-, root, root)
%{_libdir}/libvtesharpglue-2.a
%{_libdir}/pkgconfig/*.pc

%{_datadir}/gnomedesktop-sharp
%{_datadir}/gtkhtml-sharp
%{_datadir}/gtksourceview2-sharp
%{_datadir}/nautilusburn-sharp
%{_datadir}/rsvg2-sharp
%{_datadir}/vte-sharp
%{_datadir}/wnck-sharp


%changelog
* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.1-3m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.20.1-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.1-1m)
- update to 2.20.1

* Sat Mar  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-3m)
- add patch1 (fix install path)

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- add patch0 (fix install path)

* Wed Mar  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- initial build
